package comsoc

import()

func MajoritySWF(p Profile) (count Count, err error) {
  for _,voter := range p {
    count[voter[0]] += 1
  }                       // 0-votes alternatives are not included
  return count, nil
}

func MajoritySCF(p Profile) (bestAlts []Alternative, err error){
  count,_ := MajoritySWF(p)
  return maxCount(count), nil
}
